Download it now!
Bug 71089 - Legacy draw:custom_shape cannot be converted to draw:frame.
Summary: Legacy draw:custom_shape cannot be converted to draw:frame.
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.5.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-31 13:56 UTC by Edward d'Auvergne
Modified: 2016-01-23 22:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of the text in a draw:custom_shape XML element which cannot be broken out. (12.27 KB, application/vnd.oasis.opendocument.presentation)
2013-10-31 13:56 UTC, Edward d'Auvergne
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Edward d'Auvergne 2013-10-31 13:56:43 UTC
Created attachment 88406 [details]
Example of the text in a draw:custom_shape XML element which cannot be broken out.

The attached file shows the problem.  The text at the top is within a draw:custom_shape XML element.  This is probably a relic of a conversion from an older OO version or MS PPT.  The text at the bottom (in a draw:frame element) is how the first text should be converted to.  I cannot find a way of converting one from the other without manually editing the XML.
Comment 1 Regina Henschel 2013-11-01 13:31:48 UTC
I do not understand, what you want to do. The upper text belongs to the custom-shape. It is a common property of all shapes, that they can have a text. Rectangles, Ovals, Arrows, even images, all of them can have a text.

There is no way to convert something into a text-box or into a custom-shape. You can only convert something into a curve or into a polygon or group of curves or group of polygons.
Comment 2 Edward d'Auvergne 2013-11-01 18:00:02 UTC
What I would like is to convert the draw:custom_shape element to the equivalent draw:frame element.  The text in the draw:custom_shape does not have all of the formatting options as draw:frame (when typing F4 the 'Adapt' options are grey).  I don't know why I have these draw:custom_shape elements, but I would guess a PPT format conversion somewhere created these.  It can be seen in the XML that the two objects are similar.  But I never drew boxes and added text, so I don't know why it was converted to this.

It would be good if there was a way to interconvert between these elements.  Or at least to eliminate the shape without reverting to unzipping the file and manually editing the XML.  Or copying the text out of each box, pasting it as text to create the draw:frame element, deleting the original text+box, and moving the new text back to where the old text was.
Comment 3 Robinson Tryon (qubit) 2014-12-21 22:36:53 UTC
How are we doing here?
Regina: Thoughts on Edward's proposal?
Comment 4 Jean-Baptiste Faure 2016-01-23 22:53:48 UTC
As Edward did not explain what would be the gain if this conversion was possible, I close this enhancement request as WontFix.
Feel free to reopen if you disagree. In this case please explain what the gain would be.

Best regards. JBF